Summary:        A library for handling streaming archive formats
Name:           libarchive
Version:        3.7.1
Release:        9%{?dist}
License:        BSD
URL:            https://www.libarchive.org/
Source0:        https://libarchive.org/downloads/%{name}-%{version}.tar.gz

# https://github.com/libarchive/libarchive/pull/2135
Patch0001:      CVE-2024-26256.patch
# https://github.com/libarchive/libarchive/commit/eac15e252010c1189a5c0f461364dbe2cd2a68b1
Patch0002:      CVE-2024-20696.patch
# https://github.com/libarchive/libarchive/pull/2145
Patch0003:      CVE-2024-37407.patch
# https://github.com/libarchive/libarchive/issues/2326
# https://github.com/libarchive/libarchive/pull/2269/files
Patch0004:      CVE-2024-26256-and-CVE-2024-43495.patch

Patch0005:      CVE-2024-48957.patch
Patch0006:      CVE-2024-48958.patch
# https://github.com/libarchive/libarchive/pull/2532
Patch0007:      CVE-2025-1632.patch
Patch0008:      CVE-2025-25724.patch

Patch3001:      0001-Drop-rmd160-from-OpenSSL.patch

BuildRequires:  autoconf, automake, bison, gcc, libtool
BuildRequires:  xz-devel, bzip2-devel, zlib-devel, e2fsprogs-devel, libacl-devel, libattr-devel
BuildRequires:  libxml2-devel, libzstd-devel, lz4-devel, openssl-devel, sharutils

%description
Libarchive is is a multi-format archive and compression library

%package -n bsdtar
Summary:        Manipulate tape archives
Requires:       %{name} = %{version}-%{release}

%description -n bsdtar
This package provides standalone bsdtar utility.

%package -n bsdcpio
Summary:        Copy files to and from archives
Requires:       %{name} = %{version}-%{release}

%description -n bsdcpio
This package provides standalone bsdcpio utility.

%package -n bsdcat
Summary:        Expand files to standard output
Requires:       %{name} = %{version}-%{release}

%description -n bsdcat
This package provides standalone bsdcat utility.

%package devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description devel
This package provides libraries and header files for
developers who use libarchive apps.

%package -n bsdunzip
Summary:        Extract files from a ZIP archive
Requires:       %{name} = %{version}-%{release}

%description -n bsdunzip
The bsdunzip package contains standalone bsdunzip utility split off regular
libarchive packages. It is designed to provide an interface compatible with Info-ZIP's.

%prep
%autosetup -p1

%build
autoreconf -ifv
%configure --disable-static LT_SYS_LIBRARY_PATH=%{_libdir}
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete
rm %{buildroot}%{_mandir}/man5/{tar,cpio,mtree}.5*

%check
%make_build check -j1

%files
%license COPYING
%doc NEWS README.md
%{_libdir}/libarchive.so.13*

%files -n bsdtar
%{_bindir}/bsdtar
%{_mandir}/*/bsdtar*

%files -n bsdcpio
%{_bindir}/bsdcpio
%{_mandir}/*/bsdcpio*

%files -n bsdcat
%{_bindir}/bsdcat
%{_mandir}/*/bsdcat*

%files devel
%{_includedir}/*.h
%{_libdir}/libarchive.so
%{_libdir}/pkgconfig/libarchive.pc
%{_mandir}/*/archive*
%{_mandir}/*/libarchive*

%files -n bsdunzip
%license COPYING
%doc NEWS README.md
%{_bindir}/bsdunzip
%{_mandir}/*/bsdunzip*


%changelog
* Wed Mar 12 2025 rockerzhu <rockerzhu@tencent.com> - 3.7.1-9
- [Type] Security
- [Desc] Fix CVE-2025-1632 and CVE-2025-25724.

* Fri Oct 11 2024 rockerzhu <rockerzhu@tencent.com> - 3.7.1-8
- [Type] Security
- [Desc] Fix CVE-2024-48957 and CVE-2024-48958.

* Fri Sep 27 2024 rockerzhu <rockerzhu@tencent.com> - 3.7.1-7
- [Type] Security
- [Desc] Fix CVE-2024-26256 and CVE-2024-43495.

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-5
- Rebuilt for loongarch release

* Sat Jun 15 2024 rockerzhu <rockerzhu@tencent.com> - 3.7.1-4
- [Type] Security
- [Desc] Fix CVE-2024-20696 and CVE-2024-37407.

* Tue Apr 23 2024 rockerzhu <rockerzhu@tencent.com> - 3.7.1-3
- Fix CVE-2024-26256.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.7.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 1 2023 Shuo Wang <abushwang@tencent.com> - 3.7.1-1
- update to 3.7.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.6.1-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jun 29 2022 cunshunxia <cunshunxia@tencent.com> - 3.6.1-1
- initial build
